<?php 
$title = 'Новости';
include_once '../sys/fnc.php';
include_once '../sys/head.php';

// Комментарии
echo '<div class="content--boxed">
                    <div class="content__header">
                        <h2>Виртуальный хостинг<small>Строим свои сайты на PHP</small></h2>
                    </div>';
if (isset($_GET['komm']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `id` = '".intval($_GET['komm'])."'"),0)==1)
{
// Очищаем

if ($user->position != 'admin') {
if (isset($_GET['clean'])) {
	if (isset($_POST['ok'])) {
		mysql_query("TRUNCATE `news_comments`");
		echo 'Комментарий успешно удален!!';
		exit;
	}
	echo '<div class="post">
	<form method="post">
	Вы уверены что хотите удалить все сообщения?<br>
	<input type="submit" name="ok" value="Да"> <a href="/scripts/news.php?komm='.intval($_GET['komm']).'">Нет</a>
	</form></div>';
}

// Удаляем сообщение
if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `news_comments` WHERE `id` = '".intval($_GET['del'])."'"),0)==1)
{
mysql_query("DELETE FROM `news_comments` WHERE `id` = '". intval($_GET['del']) ."'");
header('Location: /scripts/news.php?komm='.intval($_GET['komm']));
}
} else {
	$error = true;
	$errort .= '<div class="err">У вас недостаточно прав!</div>';
}

$news_id = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '".intval($_GET['komm'])."'"));
$who_add = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '". $news_id['id_user'] ."' LIMIT 1"));

if (intval($_GET['komm']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `id` = '". intval($_GET['komm']) ."'"), 0) != 1 || !intval($_GET['komm'])) {
	echo '<div class="err">Ошибка! Новость не обнаружена</div>';
	exit;
}
$error = false;
$errort = '';
if (isset($_POST['add'])) {
	$msg = html($_POST['msg']);
	if (strlen($msg) < 1) {
		$error = true;
		$errort .= '<div class="err">Длина сообщения должна быть не менее 1-ого символа.</div>';
	} elseif (strlen($msg) > 3000) {
		$error = true;
		$errort .= '<div class="err">Длина сообщения должна быть не более 2000 символов.</div>';
	}
	if (!$error) {
		mysql_query("INSERT INTO `news_comments` (`news_id`, `id_user`, `msg`, `time`) values('". $news_id['id'] ."', '". $user->id ."', '". $msg ."', '". time() ."')");
                mysql_query("UPDATE `user` set `dsp_komment_с` = `dsp_komment_с` + '1' where `id` = '". $user->id ."'");
		header('Location: ?komm='. $news_id['id'] .'&page=end');
echo 'Успешно добавлен комментарий!<META HTTP-EQUIV="REFRESH" CONTENT="0; URL=?komm='. $news_id['id'] .'&page=end">';
		exit;
	}
}
echo $errort;
echo '<div class="card">
                            <div class="card__header">
                                <div class="media">
                                    <div class="pull-left">
                                        <img class="avatar-img" src="/demo/img/profile-pics/1.jpg" alt="">
                                    </div>

                                    <div class="media-body">
                                        <h2>'. html($news_id['name']) .' <small>Опубликовано: '. ptime($news_id['time']) .'</small></h2>
                                    </div>
                                </div>
                            </div>

                            <div class="card__body">
                                <p>'. output($news_id['txt']) .'</p> </div>';


$c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_comments` WHERE `news_id` = '". $news_id['id'] ."'"),0);
$p_page = '10';	
$k_page = k_page($c_p, $p_page);
$page = page($k_page);
$start = $p_page*$page-$p_page;
if ($c_p == 0) {
	echo '<div class="err">
	Комментарии к новости отсутствуют
	</div>';
} else {
	echo '<div class="wall__comments"><div class="wall__comments__lists">';
}
$q = mysql_query("SELECT * FROM `news_comments` WHERE `news_id` = '". $news_id['id'] ."' ORDER BY `time` DESC LIMIT $start, ". $p_page);
while ($post = mysql_fetch_assoc($q)) {
	$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '". $post['id_user'] ."' LIMIT 1"));
	echo '                                    <div class="media">
                                        <a href="" class="pull-left">
                                            <img src="'. $ank['imguser'] .'" alt="" class="avatar-img">
                                        </a>

                                        <div class="media-body">
                                            <a href="/user'. $ank['id'] .'">'. $ank['login'] .'</a> <small class="m-l-10">'. ptime($post['time']) .'</small>
                                            <p>'; 	echo output($post['msg']); echo '</p>

                                           
                                        </div>
                                    </div>';
}
if ($k_page > 1) str('?komm='. $news_id['id'] .'&', $k_page, $page);
if (isset($user)) {
	echo '</div>                                <form method="post" class="wall__comments__input">
                                    <textarea class="textarea-autosize" name="msg" placeholder="Ваш комментарий...."></textarea><br><input value="Добавить" type="submit" name="add" />
                                </form>
                            </div>
                        </div>';
} 

if ($c_p > 0 || $user->position || 'admin')//echo '<div class="menu"><a href="/scripts/news.php?komm='.$news_id['id'].'&clean">Очистить гостивую</a></div>';
include_once '../sys/foot.php';
exit();
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
if ($k_post==0)echo "<div class='err'><center>Новостей сайта не найдено</center></div>";
/////////////////////////////////////////
$query = mysql_query("SELECT * FROM `news` ORDER BY time DESC LIMIT $start, 10");
while ($newsone = mysql_fetch_assoc($query)){	
$k_komm = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_comments` WHERE `news_id` = '$newsone[id]'"),0);	
$knew_komm = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_comments` WHERE `news_id` = '$newsone[id]' AND `time` > ". (time()-86400) .""),0);	
echo '<div class="card">
                            <div class="card__header">
                                <div class="media">
                                    <div class="pull-left">
                                        <img class="avatar-img" src="/demo/img/profile-pics/1.jpg" alt="">
                                    </div>

                                    <div class="media-body">
                                        <h2>'.htmlspecialchars($newsone['name']).' <small>Опубликовано:  '.ptime($newsone['time']).' </small></h2>
                                    </div>
                                </div>
                            </div>

                            <div class="card__body">
                                <p>'.output($newsone['txt']).'</p>

                             
                                <div class="wall__attrs">
                                    <div class="wall__stats">
                                     <span><a href="?komm='.$newsone['id'].'"><i class="zmdi zmdi-comments"></i>'.$k_komm.''.($knew_komm > 0? ' ' : '').'</a></span>
                                        <span class="active"><i class="zmdi zmdi-favorite"></i> 0</span>
                                    </div>

                                    <div class="wall__people hidden-xs">
                                        <a href=""><img src="/demo/img/profile-pics/1.jpg" alt=""></a>
                                        <a href=""><img src="/demo/img/profile-pics/2.jpg" alt=""></a>
                                        <a href=""><img src="/demo/img/profile-pics/3.jpg" alt=""></a>
                                        <a href=""><img src="/demo/img/profile-pics/5.jpg" alt=""></a>
                                    </div>
                                </div>
                            </div>

                  </div> ';

}
/////////////////////////////////////////
if ($k_page > 1){
echo '<div class="menu"><center>';
str('?',$k_page,$page); // генерируем постраничную навигацию
echo '</center></div>';
}
echo '                </div>';
include_once '../sys/foot.php';
exit();
?>